/* eslint-disable max-len, no-underscore-dangle, no-param-reassign */
/**
 * Air theme JavaScript.
 */

// Import modules
import reframe from 'reframe.js';
// eslint-disable-next-line no-unused-vars
import getLocalization from './modules/localization';
import { styleExternalLinks, getChildAltText, initExternalLinkLabels } from './modules/external-link';
import initAnchors from './modules/anchors';
import backToTop from './modules/top';
import 'what-input';
import './modules/navigation';
// import './modules/sticky-nav';

// Define Javascript is active by changing the body class
document.body.classList.remove('no-js');
document.body.classList.add('js');

document.addEventListener('DOMContentLoaded', () => {
  initAnchors();
  backToTop();
  styleExternalLinks();
  initExternalLinkLabels();
  getChildAltText();

  // Fit video embeds to container
  reframe('.wp-has-aspect-ratio iframe');
});
